export default {
  path: '/teacher',
  component: () => import('~/pages/teacher/index.vue'),
  children: [
    {
      path: 'home',
      name: 'teacher_home',
      component: () => import('@/pages/teacher/home.vue')
    },
    {
      path: 'personal',
      name: 'teacher_personal',
      component: () => import('@/pages/teacher/personal.vue')
    },
    {
      path: 'consult',
      name: 'teacher_consult',
      component: () => import('@/pages/teacher/consult.vue'),
      redirect: { name: 'teacher_consult_list' },
      children: [
        {
          path: 'consult',
          name: 'teacher_consult_list',
          component: () => import('@/pages/teacher/consult/consult.vue')
        },
        {
          path: 'clist',
          name: 'teacher_consult_chat',
          component: () => import('@/pages/teacher/consult/chat-list.vue')
        },]
    },
    {
      path: 'archives',
      name: 'teacher_archives',
      component: () => import('@/pages/teacher/archives.vue'),
    },
    {
      path: 'archives_stu/:id',
      name: 'teacher_archives_stu',
      component: () => import('@/pages/teacher/archives-stu.vue'),
      props: true
    },
    // {
    //   path: 'studocSingle',
    //   name: 'archives_studocSingle',
    //   component: () => import('@/pages/teacher/studoc/studocSingle.vue')
    // },
    // {
    //   path: 'studocAll',
    //   name: 'archives_studocAll',
    //   component: () => import('@/pages/teacher/studoc/studocAll.vue'),
    // },

  ]
}
